Saltar a contenido

Rocky Linux 8 Change Log

Rocky Linux 8.4 will receive incremental updates over time as upstream builds and pushes their own. This page will provide details and information of changes as they occur. A system running Rocky Linux can update their system to full at any time by running dnf update

8.4 - 2021-09-21

The following packages have been updated:

  • kernel: kernel-4.18.0-305.19.1 (9-15)
  • scap-security-guide: scap-security-guide-0.1.54-5.el8.rocky.2
  • golang: 1.15.14-2
  • nss: 3.67.0-6
  • ca-certificates: 2021.2.50-80.0
  • opencryptoki: 3.15.1-7
  • krb5: 1.18.2-8.3
  • platform-python: 3.6.8-38
  • libdb: 5.3.28-42
  • rng-tools: 6.8-4
  • sos: 4.0-12
  • python-ldap: 3.3.1-1.1
  • subscription-manager: 1.28.13-4
  • pcp: 5.2.5-6
  • strace: 5.7-2.1
  • nspr: 4.32.0-1
  • gcc-toolset-10-elfutils: 0.182-6
  • gcc-toolset-10-binutils: 2.35-8.el8_4.4
  • maven: maven-3.6.2-6
  • mysql: 8.0.26
  • selinux-policy: 3.14.3-67.el8_4.2
  • grub2: 2.02-99.el8_4.1.1
  • resource-agents: 4.1.1-90.el8_4.7
  • poppler: 20.11.0-2.el8_4.1
  • pacemaker: 2.0.5-9.el8_4.3

8.4 - 2021-09-13

The following packages have been updated:

  • thunderbird: updated to 78.14.0
  • firefox: updated to 78.14.0
  • cyrus-imapd: updated to 3.0.7-20.el8_4.1 (addresses CVE-2021-33582)
  • systemtap rebuilt against dyninst 10.2 to address a bug report
  • rocky-release -> Updated to allow "centos" as an ID

The following repos have been updated:

  • extras -> CentOS sig release packages have been added

8.4 - 2021-08-24

The following packages have been updated:

  • dotnet: dotnet-2.1.525.el8_4 -> dotnet-2.1.526.el8_4
  • libsndfile: libsndfile-1.0.28-10.el8_4 -> libsndfile-1.0.28-10.el8_4.1 -- Addresses

  • Addresses a heap buffer overflow that allowed arbitrary code execution from a wav file

  • scap-security-guide: scap-security-guide-0.1.54-5.el8.rocky.1

  • Addresses RLBZ#108

The following repos/packages have been added:

  • RT (realtime) - Enabled by running dnf config-manager --set-enabled rt

  • kernel-rt (realtime kernel)

8.4 - 2021-08-11

The following packages have been updated:

  • 389-ds-base: 389-ds-base-1.4.3.16-16.module+el8.4.0+596+159889e5 -> 389-ds-base-1.4.3.16-19.module+el8.4.0+636+837ee950
  • NetworkManager: NetworkManager-1:1.30.0-9.el8_4 -> NetworkManager-1:1.30.0-10.el8_4
  • autofs: autofs-1:5.1.4-48.el8 -> autofs-1:5.1.4-48.el8_4.1
  • buildah: buildah-1.19.7-2.module+el8.4.0+556+40122d08 -> buildah-1.21.4-1.module+el8.4.0+643+525e162a
  • cloud-init: cloud-init-20.3-10.el8_4.3 -> cloud-init-20.3-10.el8_4.5
  • cockpit-podman: cockpit-podman-29-2.module+el8.4.0+556+40122d08 -> cockpit-podman-32-2.module+el8.4.0+643+525e162a
  • conmon: conmon-2:2.0.26-3.module+el8.4.0+556+40122d08 -> conmon-2:2.0.29-1.module+el8.4.0+643+525e162a
  • container-selinux: container-selinux-2:2.162.0-1.module+el8.4.0+556+40122d08 -> container-selinux-2:2.164.1-1.module+el8.4.0+643+525e162a
  • crun: crun-0.18-2.module+el8.4.0+556+40122d08 -> crun-0.20.1-1.module+el8.4.0+643+525e162a
  • dotnet3.1 dotnet3.1-3.1.117-1.el8_4 -> dotnet3.1-3.1.118-1.el8_4
  • edk2: edk2-20200602gitca407c7246bf-4.el8_4.1 -> edk2-20200602gitca407c7246bf-4.el8_4.2
  • elfutils: elfutils-0.182-3.el8 -> elfutils-0.182-3.el8_4
  • esc: esc-1.1.2-18.el8 -> esc-1.1.2-22.el8_4
  • fence-agents: fence-agents-4.2.1-65.el8 -> fence-agents-4.2.1-65.el8_4.1
  • fuse-overlayfs: fuse-overlayfs-1.4.0-3.module+el8.4.0+556+40122d08 -> fuse-overlayfs-1.6-1.module+el8.4.0+643+525e162a
  • gcc-toolset-10-elfutils: gcc-toolset-10-elfutils-0.182-3.el8 -> gcc-toolset-10-elfutils-0.182-5.el8_4
  • gcc-toolset-10-valgrind: gcc-toolset-10-valgrind-1:3.16.0-4.el8 -> gcc-toolset-10-valgrind-1:3.16.0-6.el8_4
  • glib2: glib2-2.56.4-10.el8_4 -> glib2-2.56.4-10.el8_4.1
  • gnome-shell-extensions: gnome-shell-extensions-3.32.1-14.el8.1 -> gnome-shell-extensions-3.32.1-15.el8_4.1
  • go-toolset: go-toolset-1.15.13-1.module+el8.4.0+591+0da41cc3 -> go-toolset-1.15.14-1.module+el8.4.0+632+4dba2916
  • golang: golang-1.15.13-3.module+el8.4.0+591+0da41cc3 -> golang-1.15.14-1.module+el8.4.0+632+4dba2916
  • hivex: hivex-1.3.18-20.module+el8.4.0+534+4680a14e -> hivex-1.3.18-21.module+el8.4.0+642+7e26f5e1
  • kernel: kernel-4.18.0-305.10.2.el8_4 -> kernel-4.18.0-305.12.1.el8_4
  • kexec-tools: kexec-tools-2.0.20-46.el8_4.1 -> kexec-tools-2.0.20-46.el8_4.2
  • libuv: libuv-1:1.40.0-1.el8 -> libuv-1:1.41.1-1.el8_4
  • libvirt: libvirt-6.0.0-35.module+el8.4.0+534+4680a14e -> libvirt-6.0.0-35.1.module+el8.4.0+642+7e26f5e1
  • libwacom: libwacom-1.6-2.el8 -> libwacom-1.6-2.1.el8_4
  • mdadm: mdadm-4.1-15.el8 -> mdadm-4.1-16.el8_4
  • nfs-utils: nfs-utils-1:2.3.3-41.el8 -> nfs-utils-1:2.3.3-41.el8_4.2
  • nmstate: nmstate-1.0.2-11.el8_4 -> nmstate-1.0.2-14.el8_4
  • nodejs: nodejs-1:12.21.0-1.module+el8.3.0+99+3663d81c -> nodejs-1:12.22.3-2.module+el8.4.0+638+5344c6f7
  • nodejs-nodemon: nodejs-nodemon-2.0.3-1.module+el8.3.0+100+234774f7 -> nodejs-nodemon-2.0.3-1.module+el8.4.0+638+5344c6f7
  • oci-seccomp-bpf-hook: oci-seccomp-bpf-hook-1.2.0-2.module+el8.4.0+556+40122d08 -> oci-seccomp-bpf-hook-1.2.3-2.module+el8.4.0+643+525e162a
  • opencryptoki: opencryptoki-3.15.1-5.el8 -> opencryptoki-3.15.1-6.el8_4
  • ostree: ostree-2020.7-4.el8 -> ostree-2020.7-5.el8_4
  • pcp: pcp-5.2.5-4.el8 -> pcp-5.2.5-5.el8_4
  • pcsc-lite: pcsc-lite-1.8.23-3.el8 -> pcsc-lite-1.8.23-4.1.el8_4
  • pcsc-lite-ccid: pcsc-lite-ccid-1.4.29-4.el8 -> pcsc-lite-ccid-1.4.29-5.1.el8_4
  • perl: perl-4:5.26.3-419.el8 -> perl-4:5.26.3-419.el8_4.1
  • perl-IO-String: perl-IO-String-1.08-31.el8 -> perl-IO-String-1.08-32.el8
  • podman: podman-3.0.1-7.module+el8.4.0+556+40122d08 -> podman-3.2.3-0.10.module+el8.4.0+643+525e162a
  • qemu-kvm: qemu-kvm-15:4.2.0-48.module+el8.4.0+534+4680a14e -> qemu-kvm-15:4.2.0-48.module+el8.4.0+642+7e26f5e1.3
  • resource-agents: resource-agents-4.1.1-90.el8_4.5 -> resource-agents-4.1.1-90.el8_4.6
  • runc: runc-1.0.0-73.rc93.module+el8.4.0+556+40122d08 -> runc-1.0.0-74.rc95.module+el8.4.0+643+525e162a
  • rust: rust-1.49.0-1.module+el8.4.0+416+259a129a -> rust-1.52.1-1.module+el8.4.0+641+ca238f88
  • rust-toolset: rust-toolset-1.49.0-1.module+el8.4.0+416+259a129a -> rust-toolset-1.52.1-1.module+el8.4.0+641+ca238f88
  • samba: samba-4.13.3-3.el8 -> samba-4.13.3-4.el8_4
  • selinux-policy: selinux-policy-3.14.3-67.el8 -> selinux-policy-3.14.3-67.el8_4.1
  • skopeo: skopeo-1:1.2.2-10.module+el8.4.0+556+40122d08 -> skopeo-1:1.3.1-5.module+el8.4.0+643+525e162a
  • spirv-tools: spirv-tools-2020.5-3.20201208.gitb27b1af.el8 -> spirv-tools-2021.2-1.20210619.git5dd2f76.el8_4
  • stalld: stalld-1.9-2.el8 -> stalld-1.10-1.el8_4
  • systemd: systemd-239-45.el8_4.2 -> systemd-239-45.el8_4.3
  • systemtap: systemtap-4.4-10.el8 -> systemtap-4.4-11.el8_4
  • udica: udica-0.2.4-1.module+el8.4.0+556+40122d08 -> udica-0.2.4-2.module+el8.4.0+643+525e162a
  • valgrind: valgrind-1:3.16.0-4.el8 -> valgrind-1:3.16.0-4.el8_4
  • virt-what: virt-what-1.18-6.el8 -> virt-what-1.18-9.el8_4
  • virt-who: virt-who-1.30.5-1.el8 -> virt-who-1.30.5-2.el8_4
  • virtio-win: virtio-win-1.9.16-2.el8 -> virtio-win-1.9.17-4.el8_4
  • vulkan-headers: vulkan-headers-1.2.162.0-1.el8 -> vulkan-headers-1.2.182.0-1.el8_4
  • vulkan-loader: vulkan-loader-1.2.162.0-1.el8 -> vulkan-loader-1.2.182.0-1.el8_4
  • vulkan-tools: vulkan-tools-1.2.162.0-1.el8 -> vulkan-tools-1.2.182.0-1.el8_4
  • vulkan-validation-layers: vulkan-validation-layers-1.2.162.0-1.el8 -> vulkan-validation-layers-1.2.182.0-1.el8_4

8.4 - 2021-08-02

The following packages have been updated:

  • varnish -> varnish-0:6.0.6-2.module+el8.4.0+628+e1687553.1 -> Addresses CVE-2021-36740

Added kickstart repos for the following repositories:

  • BaseOS
  • AppStream
  • PowerTools
  • High Availability
  • Resilient Storage

8.4 - 2021-07-27

The following packages have been updated:

  • thunderbird -> thunderbird-78.12.0-3.el8_4

8.4 - 2021-07-21

The following packages have been updated:

  • kernel -> kernel-4.18.0-305.10.2.el8_4 -> Addresses CVE-2021-33909
  • systemd -> systemd-239-45.el8_4.2 -> Addresses CVE-2021-33910
  • firefox
  • java-1.8.0-openjdk
  • java-11-openjdk

8.4 - 2021-07-12

The following packages have been updated:

  • rocky-release
  • linuxptp
  • rpaste
  • ovn2.13 (NFV)

The following modules have been updated:

  • python36

Additional Changes

Experimental repository metadata signing has been implemented. If you would like to try this, set the following option in the Rocky-X.repo files:

repo_gpgcheck=1

Coming Soon...

  • Storage addon repositories:

  • Glusterfs 9 support

8.4 - 2021-06-30

Package Updates

The following packages have been updated:

  • NetworkManager -> NetworkManager-11.30.0-9.el8_4
  • cloud-init -> cloud-init-20.3-10.el8_4.3
  • cmake -> cmake-3.18.2-11.el8_4
  • edk2 -> edk2-20200602gitca407c7246bf-4.el8_4.1
  • exiv2 -> exiv2-0.27.3-2.el8
  • firewalld -> firewalld-0.8.2-7.el8_4
  • fwupd -> fwupd-1.5.9-1.el8_4
  • gnome-session -> gnome-session-3.28.1-10.el8_4.1
  • kernel -> kernel-4.18.0-305.7.1.el8_4
  • kexec-tools -> kexec-tools-2.0.20-46.el8_4.1
  • libpq -> libpq-13.3-1.el8_4
  • libreport -> libreport-2.9.5-15.el8.rocky.2
  • libxml2 -> libxml2-2.9.7-9.el8_4.2
  • lz4 -> lz4-1.8.3-3.el8_4
  • nmstate -> nmstate-1.0.2-11.el8_4
  • nvme-cli -> nvme-cli-1.12-4.el8_4
  • openldap -> openldap-2.4.46-17.el8_4
  • osbuild-composer -> osbuild-composer-28.6-1.el8_4
  • resource-agents -> resource-agents-4.1.1-90.el8_4.5
  • rocky-logos -> rocky-logos-84.5-8.el8
  • rocky-release -> rocky-release-8.4-29.el8
  • rpm -> rpm-4.14.3-14.el8_4
  • rsyslog -> rsyslog-8.1911.0-7.el8_4.2
  • sanlock -> sanlock-3.8.3-3.el8_4
  • sssd -> sssd-2.4.0-9.el8_4.1
  • subscription-manager -> subscription-manager-1.28.13-3.el8_4
  • systemd -> systemd-239-45.el8_4.1
  • tuned -> tuned-2.15.0-2.el8_4.1
  • unzip -> unzip-6.0-45.el8_4

The following modules have been updated:

  • PyYAML -> PyYAML-5.4.1-1.module+el8.4.0+595+c96abaa2
  • 389-ds -> 1.4.3.16-16
  • go-toolset -> go-toolset-1.15.13-1.module+el8.4.0+591+0da41cc3
  • golang -> golang-1.15.13-3.module+el8.4.0+591+0da41cc3
  • idm:DL1 -> ipa-4.9.2-4
  • idm:client -> (rebuilt with ipaplatform=rhel to sync with DL1 module)
  • pgaudit -> pgaudit-1.4.0-6.module+el8.4.0+587+d46efd10
  • postgres-decoderbufs -> postgres-decoderbufs-0.10.0-2.module+el8.4.0+587+d46efd10
  • postgresql -> postgresql-12.7-1.module+el8.4.0+587+d46efd10
  • python38 -> python38-3.8.6-3.module+el8.4.0+595+c96abaa2
  • ruby -> ruby-2.5.9-107.module+el8.4.0+592+03ff458a
  • ruby:2.5 -> 2.5.9-107
  • ruby:2.6 -> 2.6.7-107
  • ruby:2.7 -> 2.7.3-136
  • rubygem-abrt -> rubygem-abrt-0.3.0-4 / rubygem-abrt-0.4.0-1
  • rubygem-bson -> rubygem-bson-4.3.0-2 / rubygem-bson-4.5.0-1 / rubygem-bson-4.8.1-1
  • rubygem-bundler -> rubygem-bundler-1.16.1-3.module+el8.4.0+592+03ff458a
  • rubygem-mongo -> rubygem-mongo-2.5.1-2 / rubygem-mongo-2.8.0-1 / rubygem-mongo-2.11.3-1
  • rubygem-pg -> rubygem-pg-1.0.0-2 / rubygem-pg-1.1.4-1 / rubygem-pg-1.2.3-1

Context

Some modules and packages have been updated in a routine fashion by upstream.

The regular rocky packages have been updated to address the following:

  • rocky-release

  • Add the devel and debuginfo repositories for future state

  • This is provided for mock/buildroot purposes

  • rocky-logos

  • Improve icons for future official live images

Additional Changes

The extras repository for aarch64 has been updated to include various packages that are not included by upstream. Examples of this would be libreoffice and other gnome apps. As they are not in BaseOS or AppStream, the extras repository is the appropriate place for these packages.

  • A "devel" repository is now provided for mock/buildroot purposes
  • Extras repository for aarch64 has been updated to include missing packages not provided by upstream for desktop use
  • rpaste has been updated to accept stdin input
  • Older packages will be provided in the repos during the life of a point release.

  • This allows for packages to be downgraded in the case of regressions from upstream or troubleshooting.

Volver al principio